jdk-1.4.2p6_4 broken on 4.x

jdk-1.4.2p6_4 broken on 4.x

Post by kris » Thu, 10 Jun 2004 12:36:53



--neYutvxvOLaeuPCA
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

http://www.yqcomputer.com/

Kris

--neYutvxvOLaeuPCA
Content-Type: application/pgp-signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (FreeBSD)

iD8DBQFAxoXIWry0BWjoQKURAgnvAKC5B77segwfpac4Pmc/HO8AqvUfiQCgzn+M
ZB3UfXndaJdvI/nLpE1NHcw=
=Ctlt
-----END PGP SIGNATURE-----

--neYutvxvOLaeuPCA--
 
 
 

jdk-1.4.2p6_4 broken on 4.x

Post by kris » Fri, 11 Jun 2004 14:37:58


--uAKRQypu60I7Lcqm
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable



k-1.4.2p6_4.log

Also broken on 5.x in the same timeframe.

Kris

--uAKRQypu60I7Lcqm
Content-Type: application/pgp-signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (FreeBSD)

iD8DBQFAx/OjWry0BWjoQKURAhNsAJ9fDEP9klJM67jQLQrhssU7+7QLZwCg9flV
/UyN07/x1csVHgSp9+6OWiM=
=X5d3
-----END PGP SIGNATURE-----

--uAKRQypu60I7Lcqm--

 
 
 

jdk-1.4.2p6_4 broken on 4.x

Post by kris » Fri, 11 Jun 2004 14:50:32


--kXdP64Ggrk/fb43R
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable





3/jdk-1.4.2p6_4.log
t may
ation
ck

FYI, other people have been reporting SIGSYS errors with the linux
jdks in the 4.10 timeframe, which may or may not be related. I
suspect someone committed a change and then MFCed it which broke these
applications.

kris
--kXdP64Ggrk/fb43R
Content-Type: application/pgp-signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (FreeBSD)

iD8DBQFAx/aYWry0BWjoQKURAhboAJwJV3BZ5PZ/WUloXPMeAf3NF0HzgwCfUIo0
4vi4xtXxgyfpgnQ6IH1XpRo=
=MgZr
-----END PGP SIGNATURE-----

--kXdP64Ggrk/fb43R--
 
 
 

jdk-1.4.2p6_4 broken on 4.x

Post by nicky » Fri, 11 Jun 2004 15:13:33


I don't seem to have any trouble with it. I built it yesterday on a
fresh 5.2.1 system. I built it with:

portinstall java/jdk14
options: WITHOUT_LINUX_BOOTSTRAP=yes


> ./java -version
java version "1.4.2-p6"
Java(TM) 2 Runtime Environment, Standard Edition (build
1.4.2-p6-nicky_09_jun_2004_11_08)
Java HotSpot(TM) Client VM (build 1.4.2-p6-nicky_09_jun_2004_11_08,
mixed mode)
>
> uname -a
FreeBSD plosiv.my.domain 5.2.1-RELEASE-p8 FreeBSD 5.2.1-RELEASE-p8 #0:
Tue Jun 8 21:29:31 CEST 2004 root@:/usr/obj/usr/src/sys/FBSD1 i386

I guess this info doesn't help you that much, but atleast you know that
i can be build.

Greetings
_______________________________________________
XXXX@XXXXX.COM mailing list
http://www.yqcomputer.com/
To unsubscribe, send any mail to " XXXX@XXXXX.COM "
 
 
 

jdk-1.4.2p6_4 broken on 4.x

Post by kris » Fri, 11 Jun 2004 15:19:45


--Qxx1br4bt0+wmkIi
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable




Yeah, but we're not talking about 5.2.1. Try again with an up-to-date
-CURRENT.

Kris

--Qxx1br4bt0+wmkIi
Content-Type: application/pgp-signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (FreeBSD)

iD8DBQFAx/1rWry0BWjoQKURAsIZAJ41xRYfUNA4d3DlLn+4pfZMeJxfTQCg2fMS
x3gY5uc4DAD/2za/SZdjk3U=
=2qan
-----END PGP SIGNATURE-----

--Qxx1br4bt0+wmkIi--
 
 
 

jdk-1.4.2p6_4 broken on 4.x

Post by nicky » Fri, 11 Jun 2004 15:21:23


Should have been WITH_LINUX_BOOTSTRAP=yes, but i guess that was obvious.
_______________________________________________
XXXX@XXXXX.COM mailing list
http://www.yqcomputer.com/
To unsubscribe, send any mail to " XXXX@XXXXX.COM "
 
 
 

jdk-1.4.2p6_4 broken on 4.x

Post by roberthuf » Fri, 11 Jun 2004 22:08:36


Kris Kennaway writes:


If it helps: I have e-mail on this going back to April 13, and
that was reporting a condition in existance for (if I remember
correctly) most of 5.x.


Robert Huff



_______________________________________________
XXXX@XXXXX.COM mailing list
http://www.yqcomputer.com/
To unsubscribe, send any mail to " XXXX@XXXXX.COM "
 
 
 

jdk-1.4.2p6_4 broken on 4.x

Post by past » Sat, 12 Jun 2004 00:00:49


Couldn't the following excerpt from pointyhat's log have something to do
with it?

[...]
pkg_add linux-sun-jdk-1.4.2.04.tgz
Un-mounting linprocfs...
tar: usr/share/zoneinfo/Canada/Yukon: file changed as we read it
tar: Error exit delayed from previous errors
Re-mounting linproc...

Installation of the Linux base system is
finished. The Linux kernel mode, which
must be enabled for Linux binaries to run,
is now enabled. Linux mode can be enabled
permanently with the linux_enable variable
of rc.conf(5).

When using NIS, don't forget to edit
yp.conf in /compat/linux/etc.

Syntax error: Unterminated quoted string
pkg_add: command '/usr/local/bin/registervm
"/usr/local/linux-sun-jdk1.4.2/bin/java # Linux-Sun-JDK1.4.2.04' failed
[...]


Did the linprocfs mount actually succeed or not? Usually people report
this error when they either forget to mount linprocfs or kldload linux
(or both).

Cheers,
--
Panagiotis Astithas
Electrical & Computer Engineer, PhD
Network Management Center
National Technical University of Athens, Greece
_______________________________________________
XXXX@XXXXX.COM mailing list
http://www.yqcomputer.com/
To unsubscribe, send any mail to " XXXX@XXXXX.COM "
 
 
 

jdk-1.4.2p6_4 broken on 4.x

Post by kris » Sat, 12 Jun 2004 07:50:41


--q9KOos5vDmpwPx9o
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable



=20


Well, the unterminated quoted string might have something to do with
it (a problem in the linux-sun-jdk package install script?), but if
linprocfs does not unmount cleanly then it spews thousands of lines of
errors :-)

Kris

--q9KOos5vDmpwPx9o
Content-Type: application/pgp-signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (FreeBSD)

iD8DBQFAyOWjWry0BWjoQKURAl46AKDmU6cC8uJbrAOCbbsOM/vKG9duuwCg9PPC
zgUE0luUjz2WE1p6MVo2MGE=
=QcTf
-----END PGP SIGNATURE-----

--q9KOos5vDmpwPx9o--
 
 
 

jdk-1.4.2p6_4 broken on 4.x

Post by glewi » Sat, 12 Jun 2004 07:59:04


Actually to do with pkg-plist - fixed.

--
Greg Lewis Email : XXXX@XXXXX.COM
Eyes Beyond Web : http://www.yqcomputer.com/
Information Technology FreeBSD : XXXX@XXXXX.COM
_______________________________________________
XXXX@XXXXX.COM mailing list
http://www.yqcomputer.com/
To unsubscribe, send any mail to " XXXX@XXXXX.COM "
 
 
 

jdk-1.4.2p6_4 broken on 4.x

Post by kris » Sat, 12 Jun 2004 08:11:32


--Nq2Wo0NMKNjxTN9z
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable




I'll give the build another shot.

Kris

--Nq2Wo0NMKNjxTN9z
Content-Type: application/pgp-signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (FreeBSD)

iD8DBQFAyOqEWry0BWjoQKURAu4NAKDXiAG/0H4g/nI8NYad6dyK0V83xACfQXYf
+7z7DV6KTNG+Fc4mQtio5YU=
=m+pH
-----END PGP SIGNATURE-----

--Nq2Wo0NMKNjxTN9z--
 
 
 

jdk-1.4.2p6_4 broken on 4.x

Post by glewi » Sat, 12 Jun 2004 08:27:16


I think the problem with the packing list is a red herring (it must was
introduced 11 months ago) and the real problem lies elsewhere. But feel
free to prove me wrong :).

--
Greg Lewis Email : XXXX@XXXXX.COM
Eyes Beyond Web : http://www.yqcomputer.com/
Information Technology FreeBSD : XXXX@XXXXX.COM
_______________________________________________
XXXX@XXXXX.COM mailing list
http://www.yqcomputer.com/
To unsubscribe, send any mail to " XXXX@XXXXX.COM "